0

I am on a

Red Hat Enterprise Linux Server release 6.6 (Santiago)
Linux version 2.6.32-696.20.1.el6.x86_64 
(mockbuild@x86-042.build.eng.bos.redhat.com) 
(gcc version 4.4.7 20120313 (Red Hat 4.4.7-18) (GCC) ) #1 SMP Fri Jan 12 15:07:59 EST 2018

box without admin rights. From various applications/install scripts I get

 /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by...

(e.g. from jupyter notebook)

My gcc version is gcc (GCC) 4.8.5 and from strings /usr/lib64/libstdc++.so.6 I get GLIBCXX_3.4.13 as the latest version.

I have already installed glibc 2.14 from source and have it on my LD_LIBRARY_PATH, so according to the answer here I need to install

libstdc++-4.9.x, which is compiled with glibc-2.14

unfortunately I cannot find that on rpmfind.

  • The object GLIBCXX_3.4.20 in libstdc++ version 4.9.x : Doesn't need to be compiled with a particular glibc version. The gcc-4.9.x available for EL6 was once compiled with a default RHEL6 ... and includes libstdc++ v. 4.9: /usr/local/gcc493/lib64/{ libstdc++.so -> libstdc++.so.6.0.20 }. You can point to this libstdc++.so.6, when running the applications. See 3) gcc49-c++-4.9.3 stackoverflow.com/questions/47175706/… – Knud Larsen Apr 25 '18 at 20:26
  • sorry I don't understand, when I strings /usr/lib64/libstdc++.so.6 I only find GLIBCXX_3.4.13 (the same in /usr/lib/ and also for libstdc++.so.6.0.13. I currently have libstdc++.so.6 on my LD_LIBRARY_PATH and get the error described above – tenticon Apr 26 '18 at 11:53
  • ? Who mentioned /usr/lib64/libstdc++.so.6 ? Download gcc49-c++-4.9.3-1.el6.x86_64.rpm. You can install the package with yum: # yum install Downloads/gcc49-c++-4.9.3-1.el6.x86_64.rpm ... or you can unpack the package, and use { libstdc++.so.6 -> libstdc++.so.6.0.20 } only. "unPack_rpm.sh" drive.google.com/file/d/1q3d9QqrRhEThYByPDgWEaoxHnqWFWqfE/… – Knud Larsen Apr 26 '18 at 13:00
  • @KnudLarsen thanks for clarifying. the download link for gcc49 is blocked for me. I have searched for 2h but didnt find gcc 4.9 source for el6 on sites that I could access. Is it somewhere on rpmfind or rpm pbone? – tenticon Apr 28 '18 at 16:18
  • gcc49-c++-4.9.3-1.el6.x86_64.rpm → Other link → dropbox.com/s/9dbj5jjwrk4iapz/… – Knud Larsen Apr 28 '18 at 16:45

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Browse other questions tagged or ask your own question.